MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Java::Class Class Reference

Wrapper for a local "jclass" reference. More...

`#include <Class.hxx>`

Inheritance diagram for Java::Class:
[legend]
Collaboration diagram for Java::Class:
[legend]

## Public Member Functions
| Class (JNIEnv *env, jclass cls)
| Class (JNIEnv *env, const char *name)
Public Member Functions inherited from Java::LocalRef< jclass >
| LocalRef (JNIEnv *_env, jclass_value)
| The local reference is obtained by the caller. More...
| LocalRef (const LocalRef &other)=delete
| ~LocalRef ()
LocalRef & | operator= (const LocalRef &other)=delete
jclass | Get () const
| operator jclass () const

## Detailed Description

Wrapper for a local "jclass" reference.

Definition at line 41 of file Class.hxx.

## Constructor & Destructor Documentation

Java::Class::Class | ( | JNIEnv * | env,
|  | jclass | cls
| ) |  |
| inline

Definition at line 43 of file Class.hxx.

Java::Class::Class | ( | JNIEnv * | env,
|  | const char * | name
| ) |  |
| inline

Definition at line 46 of file Class.hxx.

The documentation for this class was generated from the following file:

- java/Class.hxx